"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataSampleFilter = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const Patient_mapper_1 = require("../mappers/Patient.mapper");
class DataSampleFilter extends typescript_common_1.ServiceFilter {
    constructor(api) {
        super(api, {
            toDto(domain) {
                return (0, Patient_mapper_1.mapPatientToPatientDto)(domain);
            },
            toDomain(dto) {
                return (0, Patient_mapper_1.mapPatientDtoToPatient)(dto);
            },
        });
    }
}
exports.DataSampleFilter = DataSampleFilter;
//# sourceMappingURL=DataSampleFilterDsl.js.map