"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Content = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const DataSample_model_1 = require("./DataSample.model");
let Content = class Content {
    toJSON() {
        var _a, _b, _c;
        return {
            stringValue: this.stringValue,
            numberValue: this.numberValue,
            booleanValue: this.booleanValue,
            instantValue: this.instantValue,
            fuzzyDateValue: this.fuzzyDateValue,
            binaryValue: this.binaryValue,
            documentId: this.documentId,
            measureValue: !!this.measureValue ? this.measureValue.toJSON() : undefined,
            timeSeries: !!this.timeSeries ? this.timeSeries.toJSON() : undefined,
            compoundValue: (_a = this.compoundValue) === null || _a === void 0 ? void 0 : _a.map((item) => item.toJSON()),
            ratio: (_b = this.ratio) === null || _b === void 0 ? void 0 : _b.map((item) => item.toJSON()),
            range: (_c = this.range) === null || _c === void 0 ? void 0 : _c.map((item) => item.toJSON()),
        };
    }
    constructor(json) {
        if (json['stringValue'] !== undefined) {
            this.stringValue = json['stringValue'];
        }
        if (json['numberValue'] !== undefined) {
            this.numberValue = json['numberValue'];
        }
        if (json['booleanValue'] !== undefined) {
            this.booleanValue = json['booleanValue'];
        }
        if (json['instantValue'] !== undefined) {
            this.instantValue = json['instantValue'];
        }
        if (json['fuzzyDateValue'] !== undefined) {
            this.fuzzyDateValue = json['fuzzyDateValue'];
        }
        if (json['binaryValue'] !== undefined) {
            this.binaryValue = json['binaryValue'];
        }
        if (json['documentId'] !== undefined) {
            this.documentId = json['documentId'];
        }
        if (json['measureValue'] !== undefined) {
            this.measureValue = new typescript_common_1.Measure(json['measureValue']);
        }
        if (json['timeSeries'] !== undefined) {
            this.timeSeries = new typescript_common_1.TimeSeries(json['timeSeries']);
        }
        if (json['compoundValue'] !== undefined) {
            this.compoundValue = json['compoundValue'].map((item) => new DataSample_model_1.DataSample(item));
        }
        if (json['ratio'] !== undefined) {
            this.ratio = json['ratio'].map((item) => new typescript_common_1.Measure(item));
        }
        if (json['range'] !== undefined) {
            this.range = json['range'].map((item) => new typescript_common_1.Measure(item));
        }
    }
};
Content = __decorate([
    (0, typescript_common_1.mapTo)(typescript_common_1.ContentDto),
    __metadata("design:paramtypes", [Object])
], Content);
exports.Content = Content;
//# sourceMappingURL=Content.model.js.map