export declare class PersonName {
    lastName?: string;
    firstNames: string[];
    start?: number;
    end?: number;
    prefix: string[];
    suffix: string[];
    text?: string;
    use?: PersonNameUseEnum;
    toJSON(): IPersonName;
    constructor(json: Partial<IPersonName>);
}
export interface IPersonName {
    lastName?: string;
    firstNames: string[];
    start?: number;
    end?: number;
    prefix: string[];
    suffix: string[];
    text?: string;
    use?: PersonNameUseEnum;
}
export type PersonNameUseEnum = 'usual' | 'official' | 'temp' | 'nickname' | 'anonymous' | 'maiden' | 'old' | 'other';
