"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PersonName = void 0;
const typescript_common_1 = require("@icure/typescript-common");
let PersonName = class PersonName {
    toJSON() {
        return {
            lastName: this.lastName,
            firstNames: this.firstNames.map((item) => item),
            start: this.start,
            end: this.end,
            prefix: this.prefix.map((item) => item),
            suffix: this.suffix.map((item) => item),
            text: this.text,
            use: this.use,
        };
    }
    constructor(json) {
        this.firstNames = [];
        this.prefix = [];
        this.suffix = [];
        if (json['lastName'] !== undefined) {
            this.lastName = json['lastName'];
        }
        if (json['firstNames'] !== undefined) {
            this.firstNames = json['firstNames'].map((item) => item);
        }
        if (json['start'] !== undefined) {
            this.start = json['start'];
        }
        if (json['end'] !== undefined) {
            this.end = json['end'];
        }
        if (json['prefix'] !== undefined) {
            this.prefix = json['prefix'].map((item) => item);
        }
        if (json['suffix'] !== undefined) {
            this.suffix = json['suffix'].map((item) => item);
        }
        if (json['text'] !== undefined) {
            this.text = json['text'];
        }
        if (json['use'] !== undefined) {
            this.use = json['use'];
        }
    }
};
PersonName = __decorate([
    (0, typescript_common_1.mapTo)(typescript_common_1.PersonNameDto),
    __metadata("design:paramtypes", [Object])
], PersonName);
exports.PersonName = PersonName;
//# sourceMappingURL=PersonName.model.js.map