export declare class Telecom {
    telecomType?: TelecomTelecomTypeEnum;
    telecomNumber?: string;
    telecomDescription?: string;
    toJSON(): ITelecom;
    constructor(json: Partial<ITelecom>);
}
export interface ITelecom {
    telecomType?: TelecomTelecomTypeEnum;
    telecomNumber?: string;
    telecomDescription?: string;
}
export type TelecomTelecomTypeEnum = 'mobile' | 'phone' | 'email' | 'fax' | 'skype' | 'im' | 'medibridge' | 'ehealthbox' | 'apicrypt' | 'web' | 'print' | 'disk' | 'other' | 'pager';
