"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapPatientHealthCarePartyToPatientHealthCarePartyDto = exports.mapPatientHealthCarePartyDtoToPatientHealthCareParty = void 0;
const PatientHealthCareParty_model_1 = require("../models/PatientHealthCareParty.model");
const typescript_common_1 = require("@icure/typescript-common");
function toPatientHealthCarePartyDtoType(domain) {
    return domain.type;
}
function toPatientHealthCarePartyDtoHealthcarePartyId(domain) {
    return domain.healthcarePartyId;
}
function toPatientHealthCarePartyDtoSendFormats(domain) {
    return undefined;
}
function toPatientHealthCarePartyDtoReferralPeriods(domain) {
    return undefined;
}
function toPatientHealthCarePartyDtoReferral(domain) {
    return undefined;
}
function toPatientHealthCarePartyDtoEncryptedSelf(domain) {
    return undefined;
}
function toPatientHealthCarePartyType(dto) {
    return dto.type;
}
function toPatientHealthCarePartyHealthcarePartyId(dto) {
    return dto.healthcarePartyId;
}
function mapPatientHealthCarePartyDtoToPatientHealthCareParty(dto) {
    return new PatientHealthCareParty_model_1.PatientHealthCareParty({
        type: toPatientHealthCarePartyType(dto),
        healthcarePartyId: toPatientHealthCarePartyHealthcarePartyId(dto),
    });
}
exports.mapPatientHealthCarePartyDtoToPatientHealthCareParty = mapPatientHealthCarePartyDtoToPatientHealthCareParty;
function mapPatientHealthCarePartyToPatientHealthCarePartyDto(domain) {
    return new typescript_common_1.PatientHealthCarePartyDto({
        type: toPatientHealthCarePartyDtoType(domain),
        healthcarePartyId: toPatientHealthCarePartyDtoHealthcarePartyId(domain),
        sendFormats: toPatientHealthCarePartyDtoSendFormats(domain),
        referralPeriods: toPatientHealthCarePartyDtoReferralPeriods(domain),
        referral: toPatientHealthCarePartyDtoReferral(domain),
        encryptedSelf: toPatientHealthCarePartyDtoEncryptedSelf(domain),
    });
}
exports.mapPatientHealthCarePartyToPatientHealthCarePartyDto = mapPatientHealthCarePartyToPatientHealthCarePartyDto;
//# sourceMappingURL=PatientHealthCareParty.mapper.js.map