"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Address = void 0;
const typescript_common_1 = require("@icure/typescript-common");
const Telecom_model_1 = require("./Telecom.model");
let Address = class Address {
    toJSON() {
        return {
            addressType: this.addressType,
            description: this.description,
            street: this.street,
            houseNumber: this.houseNumber,
            postboxNumber: this.postboxNumber,
            postalCode: this.postalCode,
            city: this.city,
            state: this.state,
            country: this.country,
            note: this.note,
            telecoms: this.telecoms.map((item) => item.toJSON()),
            notes: this.notes.map((item) => item.toJSON()),
            encryptedSelf: this.encryptedSelf,
        };
    }
    constructor(json) {
        this.telecoms = [];
        this.notes = [];
        if (json['addressType'] !== undefined) {
            this.addressType = json['addressType'];
        }
        if (json['description'] !== undefined) {
            this.description = json['description'];
        }
        if (json['street'] !== undefined) {
            this.street = json['street'];
        }
        if (json['houseNumber'] !== undefined) {
            this.houseNumber = json['houseNumber'];
        }
        if (json['postboxNumber'] !== undefined) {
            this.postboxNumber = json['postboxNumber'];
        }
        if (json['postalCode'] !== undefined) {
            this.postalCode = json['postalCode'];
        }
        if (json['city'] !== undefined) {
            this.city = json['city'];
        }
        if (json['state'] !== undefined) {
            this.state = json['state'];
        }
        if (json['country'] !== undefined) {
            this.country = json['country'];
        }
        if (json['note'] !== undefined) {
            this.note = json['note'];
        }
        if (json['telecoms'] !== undefined) {
            this.telecoms = json['telecoms'].map((item) => new Telecom_model_1.Telecom(item));
        }
        if (json['notes'] !== undefined) {
            this.notes = json['notes'].map((item) => new typescript_common_1.Annotation(item));
        }
        if (json['encryptedSelf'] !== undefined) {
            this.encryptedSelf = json['encryptedSelf'];
        }
    }
};
Address = __decorate([
    (0, typescript_common_1.mapTo)(typescript_common_1.AddressDto),
    __metadata("design:paramtypes", [Object])
], Address);
exports.Address = Address;
//# sourceMappingURL=Address.model.js.map