import { base64string, IMeasure, ITimeSeries, Measure, TimeSeries } from '@icure/typescript-common';
import { DataSample, IDataSample } from './DataSample.model';
export declare class Content {
    stringValue?: string;
    numberValue?: number;
    booleanValue?: boolean;
    instantValue?: number;
    fuzzyDateValue?: number;
    binaryValue?: base64string;
    documentId?: string;
    measureValue?: Measure;
    timeSeries?: TimeSeries;
    compoundValue?: DataSample[];
    ratio?: Measure[];
    range?: Measure[];
    toJSON(): IContent;
    constructor(json: Partial<IContent>);
}
export interface IContent {
    stringValue?: string;
    numberValue?: number;
    booleanValue?: boolean;
    instantValue?: number;
    fuzzyDateValue?: number;
    binaryValue?: base64string;
    documentId?: string;
    measureValue?: IMeasure;
    timeSeries?: ITimeSeries;
    compoundValue?: IDataSample[];
    ratio?: IMeasure[];
    range?: IMeasure[];
}
