export declare class Partnership {
    type?: PartnershipTypeEnum;
    status?: PartnershipStatusEnum;
    partnerId?: string;
    toJSON(): IPartnership;
    constructor(json: Partial<IPartnership>);
}
export interface IPartnership {
    type?: PartnershipTypeEnum;
    status?: PartnershipStatusEnum;
    partnerId?: string;
}
export type PartnershipTypeEnum = 'primary_contact' | 'primary_contact_for' | 'family' | 'friend' | 'counselor' | 'contact' | 'brother' | 'brotherinlaw' | 'child' | 'daughter' | 'employer' | 'father' | 'grandchild' | 'grandparent' | 'husband' | 'lawyer' | 'mother' | 'neighbour' | 'notary' | 'partner' | 'sister' | 'sisterinlaw' | 'son' | 'spouse' | 'stepdaughter' | 'stepfather' | 'stepmother' | 'stepson' | 'tutor' | 'cohabiting' | 'registered_partner' | 'next_of_kin' | 'federal_agency' | 'insurance_company' | 'state_agency' | 'unknown' | 'seealso' | 'refer';
export type PartnershipStatusEnum = 'active' | 'complicated' | 'past';
